<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;

class PagSeguroPaymentMethod extends Entity {
	protected $type;
	protected $installments;
	protected $capture;
	protected $card;
	protected $soft_descriptor;

	public static function builder(): PagSeguroPaymentMethodBuilder {

		return new PagSeguroPaymentMethodBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getType() {

		return $this->type;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getInstallments() {

		return $this->installments;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCapture() {

		return $this->capture;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCard() {

		return $this->card;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSoftDescriptor() {

		return $this->soft_descriptor;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type) {

		$this->type = $type;

	}

	/**
	 *
	 * @param mixed $installments
	 */
	public function setInstallments($installments) {

		$this->installments = $installments;

	}

	/**
	 *
	 * @param mixed $capture
	 */
	public function setCapture($capture) {

		$this->capture = $capture;

	}

	/**
	 *
	 * @param mixed $card
	 */
	public function setCard(PagSeguroCard $card) {

		$this->card = $card;

	}

	/**
	 *
	 * @param mixed $soft_descriptor
	 */
	public function setSoftDescriptor($soft_descriptor) {

		$this->soft_descriptor = $soft_descriptor;

	}

}

